# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ProductDefinitionShape Class Reference

Representation of STEP entity ProductDefinitionShape
.

`#include <StepRepr_ProductDefinitionShape.hxx>`

Inheritance diagram for StepRepr_ProductDefinitionShape:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_ProductDefinitionShape ()
| Empty constructor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ProductDefinitionShape::StepRepr_ProductDefinitionShape | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_ProductDefinitionShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_PropertyDefinition.

The documentation for this class was generated from the following file:

- StepRepr_ProductDefinitionShape.hxx